# Trigger a bank account validation. (deprecated)

Trigger a bank account validation.

Endpoint: POST /account-verification/v3/consents/{consentId}
Version: all
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer scopes: api:data

## Path parameters:

  - `consentId` (string, required)
    The consent ID to fetch the account information for

## Request body:

  - `application/json-patch+json, application/json, text/json, application/*+json` (unknown)
    Bank account details

## Request fields (application/json-patch+json):

  - `accountHolderName` (string, required)
    Individual associated with the target account

  - `identifier` (object, required)

  - `identifier.iban` (string)
    International Bank Account Number (IBAN)

  - `identifier.bic` (string)
    Bank Identifier Code (BIC) is the SWIFT Address assigned to a bank in order to send
automated payments quickly and accurately to the banks concerned.

  - `identifier.bankCode` (string)
    The national bank transit or transfer code used for identification of the bank assigned
by a central bank in a country, eg: A Routing number(US/CA) or Sort code(UK)

  - `identifier.accountNumber` (string)
    The bank's unique identifier for the account

  - `identifier.countryCode` (string)
    An ISO 3166-1 alpha-2 Country code for the account.

  - `ignoreMiddleNames` (boolean)
    Flag to indicate if matching with middle names is enabled

## Response 200:

  - `200` (unknown)
    Account verification result.
The result can be one of the following four statuses:
* Pass - Account identifiers were found and name(s) were matched.
* Fail - Account identifiers were found and name(s) were not matched.
* Partial - Account identifiers were not found and name(s) were matched.
* NA - Inconclusive result, please see the reason code for details.

## Response 200 fields (application/json):

  - `result` (string)
    Enum: "Pass", "Fail", "NA", "Partial"

  - `reason` (string)
    Enum: "AccountIdentifierNotFound", "PartyNameNotFound", "NameOnlyMatch"

  - `matchedAccount` (object)

  - `matchedAccount.countryCode` (string)
    An ISO 3166-1 alpha-2 Country code for the account.

  - `matchedAccount.accountNumber` (string)
    The bank's unique identifier for the account

  - `matchedAccount.bankCode` (string)
    The national bank transit or transfer code used for identification of the bank assigned
by a central bank in a country, eg: A Routing number(US/CA) or Sort code(UK)

  - `matchedAccount.iban` (string)
    An internationally agreed upon system of identifying bank accounts across national borders
to facilitate the communication and processing of cross border transactions with a reduced 
risk of transcription errors.

  - `matchedAccount.bic` (string)
    BIC (Business Identifier Code) is an ISO 9362 standard for routing business transactions
and identifying business parties.

  - `matchedAccount.type` (string)
    Enum: "Iban", "Bic", "CountrySpecific"

  - `matchedAccountHolderName` (string)
    Account holder name returned by the provider that is used for matching with provided account details

## Response 400:

  - `400` (unknown)
    The submitted request was invalid

## Response 400 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 401:

  - `401` (unknown)
    The authorization header was invalid or not found

## Response 403:

  - `403` (unknown)
    The consent or account access has been revoked

## Response 403 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 404:

  - `404` (unknown)
    No consent or accounts were found

## Response 404 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 500:

  - `500` (unknown)
    A server error has occurred

## Response 500 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 502:

  - `502` (unknown)
    The provider is temporarily unavailable or rate limit has been reached, try again in a few minutes

## Response 502 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

